<!DOCTYPE html>
<html layout:decorate="~{fragments/layout}">

<head>
	<title>Kalkulator</title>
<!--<script src="/3.5.1.min.js"></script>-->
</head>

<body>
	<div layout:fragment="content">
		<center>
			<h2>Kalkulator</h2>
			<table border="1" cellspan>
				<tr>
					<td>Input1</td>
					<td><input type="number" id="input1"></td><br>
				</tr>
				<tr>
					<td>Input2</td>
					<td><input type="number" id="input2"></td><br>
				</tr>
				<tr>
					<td>Hasil</td>
					<td>
						<label id="result"></label>
					</td>
					<!--<td><span id="result"></span></td><br>-->
				</tr>
				<tr>
					<td>Action</td>
					<td>
						<center>
							<button onclick="tambah()">+</button>
							<button onclick="kurang()">-</button>
							<button onclick="kali()">x</button>
							<button onclick="bagi()">/</button>
							<button onclick="reset()">reset</button>

						</center>
					</td>
				</tr>
			</table>
		</center>
		<script>
			function tambah() {
				//debugger
				var input1 = $("#input1").val();
				var input2 = $("#input2").val();

				input1 = input1 == "" ? 0 : parseInt(input1)
				input2 = input2 == "" ? 0 : parseInt(input2)

				var result = parseInt(input1) + parseInt(input2);
				$("#result").text(result)
			}
			function kurang() {
				var input1 = $("#input1").val();
				var input2 = $("#input2").val();

				input1 = input1 == "" ? 0 : parseInt(input1)
				input2 = input2 == "" ? 0 : parseInt(input2)

				var result = parseInt(input1) - parseInt(input2);
				$("#result").html(result)
			}
			function kali() {
				var input1 = $("#input1").val();
				var input2 = $("#input2").val();

				input1 = input1 == "" ? 0 : parseInt(input1)
				input2 = input2 == "" ? 0 : parseInt(input2)

				var result = parseInt(input1) * parseInt(input2);
				$("#result").html(result)
			}
			function bagi() {
				var input1 = $("#input1").val();
				var input2 = $("#input2").val();

				input1 = input1 == "" ? 0 : parseInt(input1)
				input2 = input2 == "" ? 0 : parseInt(input2)

				var result = parseInt(input1) / parseInt(input2);
				$("#result").html(result)
			}
			function reset() {
				var input1 = $("#input1").val("");
				var input2 = $("#input2").val("");
				var result = ""
				$("#result").html(result)
			}
		</script>
	</div>
</body>

</html>